package com.qmth.boot.test.tools.excel.write;

import com.qmth.boot.test.tools.excel.model.ExcelTestEntity;
import com.qmth.boot.test.tools.excel.model.GenderEnum;
import com.qmth.boot.tools.excel.ExcelWriter;
import com.qmth.boot.tools.excel.enums.ExcelType;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Collections;
import java.util.Date;

public class ExcelWriteTest {

    //@Test
    public void testXlsx() throws IOException {
        ExcelTestEntity entity = new ExcelTestEntity();
        entity.setId(System.currentTimeMillis());
        entity.setName("name");
        entity.setScore(95.5);
        entity.setGender(GenderEnum.FEMALE);
        entity.setTime(new Date());
        entity.setEnable(true);
        ExcelWriter writer = ExcelWriter.create(ExcelType.XLSX);
        writer.writeObjects("sheet1", new String[] { "标题" }, ExcelTestEntity.class,
                Collections.singletonList(entity).iterator());
        writer.output(new FileOutputStream("/Users/luoshi/Downloads/write.xlsx"));
    }

    //@Test
    public void testXls() throws IOException {
        ExcelTestEntity entity = new ExcelTestEntity();
        entity.setId(System.currentTimeMillis() * 100);
        entity.setName("name");
        entity.setScore(65d);
        entity.setGender(GenderEnum.MALE);
        entity.setTime(new Date());
        entity.setEnable(true);
        entity.setClassName("   ");
        entity.setTeacher("!@#");
        ExcelWriter writer = ExcelWriter.create(ExcelType.XLS);
        writer.writeObjects("sheet1", new String[] { "标题" }, ExcelTestEntity.class,
                Collections.singletonList(entity).iterator());
        writer.output(new FileOutputStream("/Users/luoshi/Downloads/write.xls"));
    }
}
